package io.hmit.modules.area.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.hmit.common.service.impl.CrudServiceImpl;
import io.hmit.modules.area.dao.AreaDao;
import io.hmit.modules.area.dto.AreaDTO;
import io.hmit.modules.area.entity.AreaEntity;
import io.hmit.modules.area.service.AreaService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 区市管理
 *
 * @author syf syf0412@qq.com
 * @since 1.0.0 2020-12-25
 */
@Service
public class AreaServiceImpl extends CrudServiceImpl<AreaDao, AreaEntity, AreaDTO> implements AreaService {

    @Override
    public QueryWrapper<AreaEntity> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<AreaEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}